<main>
	<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
	<script>
		function gerarMapa(trajeto) {
			trajeto = JSON.parse(trajeto)
	
			// Inicia o mapa na primeira posição
			let map = L.map('map').setView([trajeto[0].Posicao.latitude, trajeto[0].Posicao.longitude], 13)
	
			// Adiciona camada do OpenStreetMap
			L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
				attribution: '&copy; OpenStreetMap contributors'
			}).addTo(map);
	
			// Coleta a rota com tempo
			let routeCoordinates = [];
	
			trajeto.forEach(function(point) {
				const lat = point.Posicao.latitude;
				const lon = point.Posicao.longitude;
				const timestamp = point.Data;
				
				L.marker([lat, lon]).addTo(map)
					.bindPopup("Data: " + timestamp)
					.openPopup();
	
				routeCoordinates.push([lat, lon]);
			});
			const polyline = L.polyline(routeCoordinates, { color: 'blue' }).addTo(map);
	
			// Enquadra a rota
			map.fitBounds(polyline.getBounds());
		};
		function RowClick(event) {
            const row = event.currentTarget || event.detail.target;
            row.classList.add('tr-select');
            setTimeout(() => row.classList.add('transition-to-white'), 100);
            setTimeout(() => row.classList.remove('tr-select'), 600);
            setTimeout(() => row.classList.remove('transition-to-white'), 600);
        };
	</script>
	<section>
		<article class="box">
			<h1>Viagens</h1>
			<p>
				Esta seção é dedicada às operações que envolvem as viagens dos
				usuários. Nas seções abaixo é possível listar e consultar as viagens realizadas
				pelos usuários.
			</p>
		</article>
	</section>

	<section>
		<article class="box">
			<h2>Lista de Viagens</h2>

			<input type="search"
				   name="busca" 
				   placeholder="Pesquisar por id..." 
				   hx-target="#viagem-table" 
				   hx-get="{{ url_for('bikesp._admin_getviagens') }}"
				   hx-trigger="input changed delay:500ms, search"/>
			<div id="viagem-table" 
				 hx-get="{{ url_for('bikesp._admin_getviagens') }}" 
				 hx-trigger="load">
			</div>
		</article>
	</section>

	<div id="mapa-box"></div>

</main>